<?php
/************************************************************************
 * Mailer v0.2.1-FINAL                                Start: 10/22/2005 *
 * ===================                          Last change: 06/20/2010 *
 *                                                                      *
 * -------------------------------------------------------------------- *
 * File              : reset_bonus.php                                  *
 * -------------------------------------------------------------------- *
 * Short description : Reset bonus points                               *
 * -------------------------------------------------------------------- *
 * Kurzbeschreibung  : Bonus-Punkte zuruecksetzen                       *
 * -------------------------------------------------------------------- *
 * $Revision::                                                        $ *
 * $Date::                                                            $ *
 * $Tag:: 0.2.1-FINAL                                                 $ *
 * $Author::                                                          $ *
 * Needs to be in all Files and every File needs "svn propset           *
 * svn:keywords Date Revision" (autoprobset!) at least!!!!!!            *
 * -------------------------------------------------------------------- *
 * Copyright (c) 2003 - 2009 by Roland Haeder                           *
 * Copyright (c) 2009, 2010 by Mailer Developer Team                    *
 * For more information visit: http://www.mxchange.org                  *
 *                                                                      *
 * This program is free software; you can redistribute it and/or modify *
 * it under the terms of the GNU General Public License as published by *
 * the Free Software Foundation; either version 2 of the License, or    *
 * (at your option) any later version.                                  *
 *                                                                      *
 * This program is distributed in the hope that it will be useful,      *
 * but WITHOUT ANY WARRANTY; without even the implied warranty of       *
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the        *
 * GNU General Public License for more details.                         *
 *                                                                      *
 * You should have received a copy of the GNU General Public License    *
 * along with this program; if not, write to the Free Software          *
 * Foundation, Inc., 51 Franklin St, Fifth Floor, Boston,               *
 * MA  02110-1301  USA                                                  *
 ************************************************************************/

// Some security stuff...
if (!defined('__SECURITY')) {
	die();
} elseif ((getOutputMode() != 0) || (!isResetModeEnabled())) {
	// Do not execute when script is in CSS mode or no daily reset
	return;
} elseif (!isExtensionActive('bonus')) {
	logDebugMessage(__FILE__, __LINE__, 'Not resetting, needed extension disabled.');
	return;
}

// Purge expired entries in _bonus_turbo
purgeExpiredTurboBonus();

// Reset accounts
SQL_QUERY("UPDATE
	`{?_MYSQL_PREFIX?}_user_data`
SET
	`turbo_bonus`=0,
	`login_bonus`=0,
	`bonus_order`=0,
	`bonus_stats`=0,
	`bonus_ref`=0",
	__FILE__, __LINE__);

// [EOF]
?>
